public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/
Date: Sat,  8 Aug 2020 09:04:35 +0000 (UTC)	[thread overview]
Message-ID: <1596877445.25b7f1d2dad1b245d17f93c0d56a93d2c764704a.juippis@gentoo> (raw)

commit:     25b7f1d2dad1b245d17f93c0d56a93d2c764704a
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Tue Jul 28 14:52:03 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 09:04:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25b7f1d2

app-crypt/tpm2-pkcs11: Bump to 1.3.1

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-pkcs11/Manifest                 |  1 +
 app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.3.1.ebuild | 53 ++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-crypt/tpm2-pkcs11/Manifest b/app-crypt/tpm2-pkcs11/Manifest
index 96885032fa9..49b072c4d80 100644
--- a/app-crypt/tpm2-pkcs11/Manifest
+++ b/app-crypt/tpm2-pkcs11/Manifest
@@ -1 +1,2 @@
 DIST tpm2-pkcs11-1.3.0.tar.gz 1257620 BLAKE2B 503a84a42f1698d1ae85d70473365bf2a58d4f6b8b4ae12629bbb9178de7f33655780b43d4e32f8489006b8e52dcb5cb8ba2a16844319ea5423ce11e9bb84f1d SHA512 27d48dd78534008ef7254f03673101a27740561bc0ad15dd3972d829d2e4677ed2e30d6cc95c6564ad225eb8652c9876cd9cbfab48a749b6d1576fae1b7a6ce2
+DIST tpm2-pkcs11-1.3.1.tar.gz 1256873 BLAKE2B 16bf9c2806fe515cfc31e5885c940774d8d1a04d8a780c8a119db4d9c684e6db3ad3f719fa09d9dc7b6b0fb09212aa4745c53bd7253fd444ebfcb6b8f1dbeb3a SHA512 031b7411c135b2cb3b8f7c38af69a46e65088c4dc1da13ae5c44f92d2a2e293dfe2bea0adc68eb3e64b02b5445f55c353c5c209ecbc977411747fbd429ebdc86

diff --git a/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.3.1.ebuild b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.3.1.ebuild
new file mode 100644
index 00000000000..59219ad465e
--- /dev/null
+++ b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.3.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="A PKCS#11 interface for TPM2 hardware"
+HOMEPAGE="https://tpm2-software.github.io/"
+SRC_URI="https://github.com/tpm2-software/tpm2-pkcs11/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# Test requires the IBM TPM simulator that's not in portage
+RESTRICT="test"
+
+RDEPEND="app-crypt/p11-kit
+	app-crypt/tpm2-abrmd
+	app-crypt/tpm2-tss
+	dev-db/sqlite:3
+	dev-libs/openssl
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/autoconf-archive
+	virtual/pkgconfig"
+
+src_configure() {
+	default
+}
+
+src_compile() {
+	default
+	cd "${S}/tools" || die
+	BUILD_DIR="${S}/tools" python_foreach_impl distutils-r1_python_compile
+}
+
+src_install() {
+	default
+	cd "${S}/tools" || die
+	BUILD_DIR="${S}/tools" python_foreach_impl distutils-r1_python_install
+	dobin "${S}/tools/tpm2_ptool"
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2020-08-08  9:04 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-08  9:04 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 20:49 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/ Sam James
2024-05-09 20:49 Sam James
2023-02-15 14:08 Viorel Munteanu
2023-02-15 14:08 Viorel Munteanu
2023-01-24 10:01 Joonas Niilola
2022-12-24  2:59 Sam James
2022-04-23  6:25 Joonas Niilola
2022-04-23  6:25 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-04-25  8:00 Michał Górny
2020-11-20 11:45 Joonas Niilola
2020-11-20 11:45 Joonas Niilola
2020-10-08  6:57 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-05-13 13:17 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1596877445.25b7f1d2dad1b245d17f93c0d56a93d2c764704a.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox